Page MenuHomePhabricator

Echo should not notify the user about his own linking activity
Closed, ResolvedPublic

Description

I created
https://www.wikidata.org/wiki/Q21189110
and then added it as a reference in
https://www.wikidata.org/wiki/Q1755242?diff=261936402

This caused an email notification for myself saying "Q21189110 was linked from Q1755242".
I only want to be notified when other users link to one of the pages I created.

This bug occurred for many of my recent edits on Wikidata.


Also reported at: https://www.wikidata.org/wiki/Wikidata:Contact_the_development_team#Notifications

Event Timeline

He7d3r created this task.Oct 24 2015, 4:51 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r added projects: Notifications, Wikidata.
He7d3r added a subscriber: He7d3r.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptOct 24 2015, 4:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Legoktm triaged this task as High priority.Oct 26 2015, 4:21 PM
Legoktm updated the task description. (Show Details)
Legoktm set Security to None.
Sjoerddebruin moved this task from incoming to monitoring on the Wikidata board.Oct 27 2015, 4:26 PM

The LinksUpdateAfterInsert hook that echo depended upon is now being deferred so $wgUser is wrong.

Change 249302 had a related patch set uploaded (by Legoktm):
LinksUpdate: Keep track of the triggering User

https://gerrit.wikimedia.org/r/249302

Change 249318 had a related patch set uploaded (by Legoktm):
Fix page-linked notifications

https://gerrit.wikimedia.org/r/249318

Change 249302 merged by jenkins-bot:
LinksUpdate: Keep track of the triggering User

https://gerrit.wikimedia.org/r/249302

Change 249318 merged by jenkins-bot:
Fix page-linked notifications

https://gerrit.wikimedia.org/r/249318

Change 249350 had a related patch set uploaded (by Legoktm):
LinksUpdate: Keep track of the triggering User

https://gerrit.wikimedia.org/r/249350

Change 249351 had a related patch set uploaded (by Legoktm):
Fix page-linked notifications

https://gerrit.wikimedia.org/r/249351

I've scheduled backports to wmf4 during tomorrow morning's SWAT. It depends on some code that isn't in wmf3, so it'll be fixed on Wikipedias during Thursday's train deploy.

Change 249350 merged by jenkins-bot:
LinksUpdate: Keep track of the triggering User

https://gerrit.wikimedia.org/r/249350

Change 249351 merged by jenkins-bot:
Fix page-linked notifications

https://gerrit.wikimedia.org/r/249351

Legoktm closed this task as Resolved.Oct 28 2015, 3:43 PM

Checked in betalabs.